org.eclipse.viatra.cep.core.api.patterns

## Class ObservedComplexEventPattern

- java.lang.Object
- - org.eclipse.viatra.cep.core.api.patterns.ObservedComplexEventPattern

- All Implemented Interfaces:
    IObservableComplexEventPattern

      public class ObservedComplexEventPattern
      extends java.lang.Object
      implements IObservableComplexEventPattern

  An `EventPattern` instance that got matched, i.e. the related `EventToken` got into the `FinalState` of the appropriate `Automaton`.

  An object of this type should be instantiated at runtime when an `EventPattern` is placed into the `FinalState`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObservedComplexEventPattern(Automaton automaton, EventToken eventToken)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Automaton` | `getAutomaton()`
    `java.util.List<Event>` | `getObservedAtomicEventInstances()`
    `java.lang.String` | `getObservedEventPatternId()`
    `ParameterTable` | `getParameterTable()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObservedComplexEventPattern

          public ObservedComplexEventPattern(Automaton automaton,
                                             EventToken eventToken)

  - ### Method Detail

    - #### getAutomaton

          public Automaton getAutomaton()

      Specified by:
        `getAutomaton` in interface `IObservableComplexEventPattern`

    - #### getObservedEventPatternId

          public java.lang.String getObservedEventPatternId()

      Specified by:
        `getObservedEventPatternId` in interface `IObservableComplexEventPattern`

    - #### getObservedAtomicEventInstances

          public java.util.List<Event> getObservedAtomicEventInstances()

      Specified by:
        `getObservedAtomicEventInstances` in interface `IObservableComplexEventPattern`

    - #### getParameterTable

          public ParameterTable getParameterTable()

      Specified by:
        `getParameterTable` in interface `IObservableComplexEventPattern`